SDL_MapSurfaceRGBA(3)

NAME
SDL_MapSurfaceRGBA - Map an RGBA quadruple to a pixel value for a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

Uint32 SDL_MapSurfaceRGBA(SDL_Surface *surface, Uint8 r, Uint8 g, Uint8 b, Uint8 a);

DESCRIPTION
This function maps the RGBA color value to the specified pixel format and returns the pixel value best approximating the given RGBA color value for the given pixel format.

If the surface pixel format has no alpha component the alpha value will be ignored (as it will be in formats with a palette).

If the surface has a palette, the index of the closest matching color in the palette will be returned.

If the pixel format bpp (color depth) is less than 32-bpp then the unused upper bits of the return value can safely be ignored (e.g., with a 16-bpp format the return value can be assigned to a Uint16, and similarly a Uint8 for an 8-bpp format).

FUNCTION PARAMETERS

surface
    the surface to use for the pixel format and palette.

r   the red component of the pixel in the range 0-255.

g   the green component of the pixel in the range 0-255.

b   the blue component of the pixel in the range 0-255.

a   the alpha component of the pixel in the range 0-255.

RETURN VALUE
Returns a pixel value.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_MapSurfaceRGB(3)